[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.CreateParams

Initializes parameters used to create the handle for the form instance.

## Declaration

Source position: forms.pp line 637

`protected procedure TCustomForm.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | Values examined and updated in the method.

## Description

CreateParams is used to initialize parameters needed to create the handle for the form instance.

CreateParams is an overridden procedure in TCustomForm, and calls the inherited method on entry. CreateParams ensures that values in the Params argument are valid. This includes setting the realized parent form and window handle for a form which is not the main form in the application. Style flags are also updated to indicate how the form is displayed in the task bar.

## See also

TWinControl.CreateParams |  | Initializes the window creation parameter record with the settings for the control.